VPS侦探论坛

 找回密码
 注册
查看: 169|回复: 3

lnmp1.8 升级php版本 从7.4.21 升级到 7.4.30 失败

[复制链接]
发表于 2022-6-14 15:10:12 | 显示全部楼层 |阅读模式

日志太长,添加在了附件中

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2022-6-14 18:38:52 | 显示全部楼层


部分日志
  1. Current PHP Version:7.4.21
  2. You can get version number from http://www.php.net/
  3. Please enter a PHP Version you want:
  4. Press any key to start...or Press Ctrl+c to cancel

  5. Notice: php-7.4.30.tar.bz2 not found!!!download now...
  6. Notice: php-7.4.30.tar.bz2 not found!!!download now...

  7. 2022-06-14 11:55:56 (592 KB/s) - 已保存 “php-7.4.30.tar.bz2” [13024949/13024949])

  8. Download php-7.4.30.tar.bz2 successfully!
  9. +-------------------------------------------+
  10. |    Manager for LNMP, Written by Licess    |
  11. +-------------------------------------------+
  12. |              https://lnmp.org             |
  13. +-------------------------------------------+
  14. Stoping LNMP...
  15. Stoping nginx...  done
  16. Gracefully shutting down php-fpm . done
  17. Gracefully shutting down php-fpm . done
  18. Installing Dependent for PHP...

  19. 依赖关系解决



  20. .....

  21. 总下载量:15 k
  22. Downloading packages:
  23. Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
  24. Running transaction check
  25. Running transaction test
  26. Transaction test succeeded
  27. Running transaction
  28.   正在更新    : epel-release-7-14.noarch                                    1/2
  29. warning: /etc/yum.repos.d/epel-testing.repo created as /etc/yum.repos.d/epel-testing.repo.rpmnew
  30. warning: /etc/yum.repos.d/epel.repo created as /etc/yum.repos.d/epel.repo.rpmnew
  31.   清理        : epel-release-7-13.noarch                                    2/2
  32.   验证中      : epel-release-7-14.noarch                                    1/2
  33.   验证中      : epel-release-7-13.noarch                                    2/2

  34. 更新完毕:
  35.   epel-release.noarch 0:7-14

  36. 完毕!
  37. 已加载插件:fastestmirror
  38. Loading mirror speeds from cached hostfile
  39. * base: mirrors.ustc.edu.cn
  40. * extras: ftp.sjtu.edu.cn
  41. * updates: mirrors.ustc.edu.cn
  42. 软件包 oniguruma-6.8.2-1.el7.x86_64 已安装并且是最新版本
  43. 软件包 oniguruma-devel-6.8.2-1.el7.x86_64 已安装并且是最新版本
  44. 无须任何处理
  45. [+] Installing 7.4.30
  46. Uncompress php-7.4.30.tar.bz2...
  47. cd php-7.4.30...
  48. configure: WARNING: unrecognized options: --with-png, --without-libzip
  49. checking for grep that handles long lines and -e... /bin/grep

  50. checking whether to build with LIBXML support... yes
  51. checking for libxml-2.0 >= 2.7.6... yes
  52. checking for OpenSSL support... yes
  53. checking for Kerberos support... no
  54. checking whether to use system default cipher list instead of hardcoded value... no
  55. checking for openssl >= 1.0.1... no
  56. configure: error: Package requirements (openssl >= 1.0.1) were not met:

  57. No package 'openssl' found

  58. Consider adjusting the PKG_CONFIG_PATH environment variable if you
  59. installed software in a non-standard prefix.

  60. Alternatively, you may set the environment variables OPENSSL_CFLAGS
  61. and OPENSSL_LIBS to avoid the need to call pkg-config.
  62. See the pkg-config man page for more details.
  63. make: *** 没有指明目标并且找不到 makefile。 停止。
  64. make: *** 没有指明目标并且找不到 makefile。 停止。
  65. make: *** 没有规则可以创建目标“install”。 停止。
  66. Copy new php configure file...
  67. Modify php.ini......
  68. include/php.sh:行86: pear: 未找到命令
  69. include/php.sh:行87: pecl: 未找到命令
  70. Downloading Composer...
  71. --2022-06-14 11:57:24--  https://soft.vpser.net/web/php/composer/composer.phar
  72. 正在解析主机 soft.vpser.net (soft.vpser.net)... 81.70.180.148
  73. 正在连接 soft.vpser.net (soft.vpser.net)|81.70.180.148|:443... 已连接。
  74. 已发出 HTTP 请求,正在等待回应... 302 Moved Temporarily
  75. 位置:http://175.6.32.4:88/soft/web/php/composer/composer.phar [跟随至新的 URL]
  76. --2022-06-14 11:57:24--  http://175.6.32.4:88/soft/web/php/composer/composer.phar
  77. 正在连接 175.6.32.4:88... 已连接。
  78. 已发出 HTTP 请求,正在等待回应... 200 OK
  79. 长度:2697631 (2.6M) [application/octet-stream]
  80. 正在保存至: “/usr/local/bin/composer”

  81.      0K .......... .......... .......... .......... ..........  1% 1.17M 2s
  82.   2600K .......... .......... .......... ....                 100% 13.3M=4.3s

  83. 2022-06-14 11:57:28 (610 KB/s) - 已保存 “/usr/local/bin/composer” [2697631/2697631])

  84. Composer install successfully.
  85. /usr/bin/env: php: 没有那个文件或目录
  86. Install ZendGuardLoader for PHP 7...
  87. unavailable now.
  88. Creating new php-fpm configure file...
  89. Copy php-fpm init.d file...
  90. cp: 无法获取"/root/lnmp1.8/src/php-7.4.30/sapi/fpm/init.d.php-fpm" 的文件状态(stat): 没有那个文件或目录
  91. chmod: 无法访问"/etc/init.d/php-fpm": 没有那个文件或目录
  92. +-------------------------------------------+
  93. |    Manager for LNMP, Written by Licess    |
  94. +-------------------------------------------+
  95. |              https://lnmp.org             |
  96. +-------------------------------------------+
  97. Starting LNMP...
  98. Starting nginx...  done
  99. /bin/lnmp:行30: /etc/init.d/php-fpm: 没有那个文件或目录
  100. Starting php-fpm  done
  101. ======== upgrade php failed ======
  102. upgrade php log: /root/upgrade_lnmp_php.log
  103. You upload upgrade_lnmp_php.log to LNMP Forum for help.
复制代码


Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2022-6-14 20:17:49 | 显示全部楼层

checking for openssl >= 1.0.1... no
configure: error: Package requirements (openssl >= 1.0.1) were not met:

No package 'openssl' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables OPENSSL_CFLAGS
and OPENSSL_LIBS to avoid the need to call pkg-config.

你系统上缺少openssl-devel,有可能被你误删或者有其他问题
可以 yum install openssl-devel 试一下看能否正常安装
美国VPS推荐: 遨游主机LinodeLOCVPS主机云VPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2022-6-15 10:17:16 | 显示全部楼层



licess 发表于 2022-6-14 20:17
你系统上缺少openssl-devel,有可能被你误删或者有其他问题
可以 yum install openssl-devel 试一下看能否 ...

感谢大佬的回答,确实是这个问题导致的,在修复,再试试升级php
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2022-7-6 18:00 , Processed in 0.017301 second(s), 17 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表